package com.imdroid.ntripproxy.service;

public class Ntrip2Channels {
    final private String localHost="127.0.0.1";
    final private int localPort=9903;
    final private String remoteHost="8.134.185.53";
    //final private String remoteHost="100.91.37.6";
    //final private String remoteHost="47.107.50.52";
    final private int remotePort=9903;

    public static final Ntrip2Channels INSTANCE = new Ntrip2Channels();

    UDPClient localRtcm;
    UDPClient remoteRtcm;
    private Ntrip2Channels() {
        localRtcm = new UDPClient();
        remoteRtcm = new UDPClient();
        localRtcm.init(localHost, localPort);
        remoteRtcm.init(remoteHost, remotePort);
    }

    public void send(byte[] data) {
        localRtcm.send(data);
        remoteRtcm.send(data);
    }
}
